## r-cran-partykit 1.2

=== DESCRIPTION ===
Package: partykit
Title: A Toolkit for Recursive Partytioning
Date: 2022-06-20
Version: 1.2-16
Authors@R: c(person(given = "Torsten", family = "Hothorn", role = c("aut", "cre"), email = "Torsten.Hothorn@R-project.org",
                    comment = c(ORCID = "0000-0001-8301-0471")),
             person(given = "Heidi", family = "Seibold", role = "ctb", email = "heidi@seibold.co",
                    comment = c(ORCID = "0000-0002-8960-9642")),
             person(given = "Achim", family = "Zeileis", role = "aut", email = "Achim.Zeileis@R-project.org",
                    comment = c(ORCID = "0000-0003-0918-3766")))
Description: A toolkit with infrastructure for representing, summarizing, and
  visualizing tree-structured regression and classification models. This
  unified infrastructure can be used for reading/coercing tree models from
  different sources ('rpart', 'RWeka', 'PMML') yielding objects that share
  functionality for print()/plot()/predict() methods. Furthermore, new and improved
  reimplementations of conditional inference trees (ctree()) and model-based
  recursive partitioning (mob()) from the 'party' package are provided based
  on the new infrastructure. A description of this package was published
  by Hothorn and Zeileis (2015) <https://jmlr.org/papers/v16/hothorn15a.html>.
Depends: R (>= 3.5.0), graphics, grid, libcoin (>= 1.0-0), mvtnorm
Imports: grDevices, stats, utils, survival, Formula (>= 1.2-1), inum
        (>= 1.0-0), rpart (>= 4.1-11)
Suggests: XML, pmml, rJava, sandwich, strucchange, vcd, AER, mlbench,
        TH.data (>= 1.0-3), coin (>= 1.1-0), RWeka (>= 0.4-19),
        datasets, parallel, psychotools (>= 0.3-0), psychotree, party
        (>= 1.3-0), randomForest
LazyData: yes
License: GPL-2 | GPL-3
URL: http://partykit.r-forge.r-project.org/partykit/
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2022-06-20 12:36:16 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>),
  Heidi Seibold [ctb] (<https://orcid.org/0000-0002-8960-9642>),
  Achim Zeileis [aut] (<https://orcid.org/0000-0003-0918-3766>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2022-06-20 13:30:02 UTC

## r-cran-partykit 1.2-5

=== debian/changelog ===
r-cran-partykit (1.2-5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 21:30:47 +0200

r-cran-partykit (1.2-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0
  * Test-Depends: r-cran-mlbench, r-cran-coin, r-cran-party

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 22:17:15 +0200

r-cran-partykit (1.2-3-1) unstable; urgency=medium

  * Initial release (closes: #926835)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Apr 2019 08:43:49 +0200

=== debian/control ===
Source: r-cran-partykit
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-libcoin,
               r-cran-mvtnorm,
               r-cran-survival,
               r-cran-formula (>= 1.2-1),
               r-cran-inum,
               r-cran-rpart
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
Homepage: https://cran.r-project.org/package=partykit

Package: r-cran-partykit
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R toolkit for recursive partytioning
 A toolkit with infrastructure for representing, summarizing, and
 visualizing tree-structured regression and classification models. This
 unified infrastructure can be used for reading/coercing tree models from
 different sources ('rpart', 'RWeka', 'PMML') yielding objects that share
 functionality for print()/plot()/predict() methods. Furthermore, new and
 improved reimplementations of conditional inference trees (ctree()) and
 model-based recursive partitioning (mob()) from the 'party' package are
 provided based on the new infrastructure. A description of this package
 was published by Hothorn and Zeileis (2015)
 <http://jmlr.org/papers/v16/hothorn15a.html>.

## r-cran-partykit 1.2-6

=== debian/changelog ===
r-cran-partykit (1.2-6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * New Build-Depends: r-cran-party

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 20:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
                r-cran-survival,
                r-cran-formula (>= 1.2-1),
                r-cran-inum,
-               r-cran-rpart
-Standards-Version: 4.4.0
+               r-cran-rpart,
+               r-cran-party
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit

## r-cran-partykit 1.2-7

=== debian/changelog ===
r-cran-partykit (1.2-7-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:39:53 +0000

r-cran-partykit (1.2-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 14:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                r-cran-survival,
                r-cran-formula (>= 1.2-1),
                r-cran-inum,
-               r-cran-rpart,
-               r-cran-party
+               r-cran-rpart
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit
+Rules-Requires-Root: no
 
 Package: r-cran-partykit
 Architecture: any

## r-cran-partykit 1.2-11

=== debian/changelog ===
r-cran-partykit (1.2-11-2) unstable; urgency=medium

  * Exclude failing test on arm64 and ppc64el

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2021 15:58:31 +0100

r-cran-partykit (1.2-11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 08:49:00 +0100

r-cran-partykit (1.2-10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:18:27 +0200

r-cran-partykit (1.2-9-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 14:10:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-libcoin,
@@ -13,7 +13,7 @@
                r-cran-formula (>= 1.2-1),
                r-cran-inum,
                r-cran-rpart
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-mlbench, r-cran-coin, r-cran-party
Restrictions: allow-stderr

## r-cran-partykit 1.2-15

=== debian/changelog ===
r-cran-partykit (1.2-15-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Disable reprotest

  [ Graham Inggs ]
  * Exclude bugfixes.R test on s390x as well

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Oct 2021 10:43:56 +0000

r-cran-partykit (1.2-15-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-formula.
  * Test-Depends: r-cran-xml
  * Exclude test that requires pmml

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 14:38:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                r-cran-libcoin,
                r-cran-mvtnorm,
                r-cran-survival,
-               r-cran-formula (>= 1.2-1),
+               r-cran-formula,
                r-cran-inum,
                r-cran-rpart
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mlbench,
         r-cran-coin,
         r-cran-party,
         r-cran-xml
Restrictions: allow-stderr

## r-cran-partykit 1.2-16

=== debian/changelog ===
r-cran-partykit (1.2-16-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2022 16:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-formula,
                r-cran-inum,
                r-cran-rpart
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit

## r-cran-partykit 1.2-20

=== debian/changelog ===
r-cran-partykit (1.2-20-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 13:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-formula,
                r-cran-inum,
                r-cran-rpart
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit

## r-cran-partykit 1.2-22

=== debian/changelog ===
r-cran-partykit (1.2-22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Oct 2024 15:46:18 +0900

## r-cran-partykit 1.2-23

=== debian/changelog ===
r-cran-partykit (1.2-23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 14:08:51 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-formula,
                r-cran-inum,
                r-cran-rpart
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partykit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partykit.git
 Homepage: https://cran.r-project.org/package=partykit

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-xml,
        r-cran-rjava,
        r-cran-sandwich,
        r-cran-strucchange,
        r-cran-vcd,
        r-cran-aer,
        r-cran-mlbench,
        r-cran-th.data (>= 1.0-3),
        r-cran-coin (>= 1.1-0),
        r-cran-psychotools (>= 0.3-0),
        r-cran-psychotree,
        r-cran-party (>= 1.3-0),
        r-cran-randomforest
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/partykit_([-\d.]*)\.tar\.gz
